Debian Bug report logs - #287891
owl: FTBFS (amd64/gcc-4.0): invalid lvalue in assignment

version graph

Package: owl; Maintainer for owl is Mark W. Eichin <eichin@thok.org>; Source for owl is src:owl.

Reported by: Andreas Jochens <aj@andaco.de>

Date: Thu, 30 Dec 2004 20:03:06 UTC

Severity: serious

Tags: fixed, patch

Fixed in version 2.1.8-2.1

Done: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, eichin@thok.org (Mark W. Eichin):
Bug#287891; Package owl. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to eichin@thok.org (Mark W. Eichin). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: owl: FTBFS (amd64/gcc-4.0): invalid lvalue in assignment
Date: Thu, 30 Dec 2004 20:52:44 +0100
Package: owl
Severity: normal
Tags: patch

When building 'owl' on amd64 with gcc-4.0,
I get the following error:

gcc -g -O2 -Wall -g -I. -DAIM_BUILDDATE=\"x\" -DAIM_BUILDTIME=\"x\"   -c -o rxhandlers.o rxhandlers.c
rxhandlers.c: In function 'aim__registermodule':
rxhandlers.c:69: error: invalid lvalue in assignment
make[2]: *** [rxhandlers.o] Error 1
make[2]: Leaving directory `/owl-2.1.8/libfaim'

With the attached patch 'owl' can be compiled
on amd64 using gcc-4.0.

Regards
Andreas Jochens

diff -urN ../tmp-orig/owl-2.1.8/libfaim/rxhandlers.c ./libfaim/rxhandlers.c
--- ../tmp-orig/owl-2.1.8/libfaim/rxhandlers.c	2004-05-08 01:35:40.000000000 +0200
+++ ./libfaim/rxhandlers.c	2004-12-30 20:40:29.489895976 +0100
@@ -66,7 +66,7 @@
 	}
 
 	mod->next = (aim_module_t *)sess->modlistv;
-	(aim_module_t *)sess->modlistv = mod;
+	sess->modlistv = mod;
 
 	faimdprintf(sess, 1, "registered module %s (family 0x%04x, version = 0x%04x, tool 0x%04x, tool version 0x%04x)\n", mod->name, mod->family, mod->version, mod->toolid, mod->toolversion);
 



Severity set to `serious'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, eichin@thok.org (Mark W. Eichin):
Bug#287891; Package owl. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@hp.com>:
Extra info received and forwarded to list. Copy sent to eichin@thok.org (Mark W. Eichin). Full text and rfc822 format available.

Message #12 received at 287891@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@hp.com>
To: 326106@bugs.debian.org, 287891@bugs.debian.org
Subject: NMU uploaded
Date: Tue, 11 Oct 2005 22:57:24 -0400
I've uploaded an NMU to DELAYED/7-day using the patch below.  If you
would like to prevent this upload from reaching unstable, you may upload
a proper MU within the next 7-days.

diff -urN owl-2.1.8.orig/debian/changelog owl-2.1.8/debian/changelog
--- owl-2.1.8.orig/debian/changelog	2005-10-11 20:45:50.000000000 -0600
+++ owl-2.1.8/debian/changelog	2005-10-11 20:50:19.000000000 -0600
@@ -1,3 +1,14 @@
+owl (2.1.8-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Include a patch from Andreas Jochens to fix compilation with gcc-4.0.
+    Closes: #287891
+  * Add some prototypes to perlglue.xs to avoid the implicit conversion of
+    return pointers from owl_zephyr_get_realm() & owl_zephyr_get_sender().
+    Closes: #326106
+
+ -- dann frazier <dannf@debian.org>  Tue, 11 Oct 2005 20:47:51 -0600
+
 owl (2.1.8-2) unstable; urgency=low
 
   * zcrypt.c: use kerberosIV/des.h, not the openafs one. Closes: #189108.
diff -urN owl-2.1.8.orig/libfaim/rxhandlers.c owl-2.1.8/libfaim/rxhandlers.c
--- owl-2.1.8.orig/libfaim/rxhandlers.c	2004-05-07 17:35:40.000000000 -0600
+++ owl-2.1.8/libfaim/rxhandlers.c	2005-10-11 20:47:46.000000000 -0600
@@ -66,7 +66,7 @@
 	}
 
 	mod->next = (aim_module_t *)sess->modlistv;
-	(aim_module_t *)sess->modlistv = mod;
+	sess->modlistv = mod;
 
 	faimdprintf(sess, 1, "registered module %s (family 0x%04x, version = 0x%04x, tool 0x%04x, tool version 0x%04x)\n", mod->name, mod->family, mod->version, mod->toolid, mod->toolversion);
 
diff -urN owl-2.1.8.orig/perlglue.xs owl-2.1.8/perlglue.xs
--- owl-2.1.8.orig/perlglue.xs	2004-05-07 17:35:40.000000000 -0600
+++ owl-2.1.8/perlglue.xs	2005-10-11 20:51:26.000000000 -0600
@@ -15,6 +15,8 @@
 extern char *owl_function_ztext_stylestrip(char *);
 extern void g;
 extern int owl_global_get_cols(void*);
+extern char *owl_zephyr_get_realm();
+extern char *owl_zephyr_get_sender();
 
 MODULE = owl		PACKAGE = owl		
 

-- 
dann frazier <dannf@hp.com>




Tags added: fixed Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.1.8-2.1, send any further explanations to Andreas Jochens <aj@andaco.de> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Andreas Jochens <aj@andaco.de>:
Bug#287891. Full text and rfc822 format available.

Message #19 received at 287891-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 271146-submitter@bugs.debian.org, 271221-submitter@bugs.debian.org, 273411-submitter@bugs.debian.org, 271673-submitter@bugs.debian.org, 271956-submitter@bugs.debian.org, 272245-submitter@bugs.debian.org, 273043-submitter@bugs.debian.org, 273338-submitter@bugs.debian.org, 273357-submitter@bugs.debian.org, 271221-submitter@bugs.debian.org, 273411-submitter@bugs.debian.org, 273613-submitter@bugs.debian.org, 273800-submitter@bugs.debian.org, 274087-submitter@bugs.debian.org, 275431-submitter@bugs.debian.org, 274106-submitter@bugs.debian.org, 274501-submitter@bugs.debian.org, 274503-submitter@bugs.debian.org, 274507-submitter@bugs.debian.org, 274955-submitter@bugs.debian.org, 275432-submitter@bugs.debian.org, 276637-submitter@bugs.debian.org, 276825-submitter@bugs.debian.org, 276851-submitter@bugs.debian.org, 278001-submitter@bugs.debian.org, 279483-submitter@bugs.debian.org, 279484-submitter@bugs.debian.org, 280309-submitter@bugs.debian.org, 212905-submitter@bugs.debian.org, 235681-submitter@bugs.debian.org, 236463-submitter@bugs.debian.org, 280337-submitter@bugs.debian.org, 356855-submitter@bugs.debian.org, 281282-submitter@bugs.debian.org, 282879-submitter@bugs.debian.org, 300174-submitter@bugs.debian.org, 283756-submitter@bugs.debian.org, 284741-submitter@bugs.debian.org, 284872-submitter@bugs.debian.org, 284925-submitter@bugs.debian.org, 285058-submitter@bugs.debian.org, 347152-submitter@bugs.debian.org, 285528-submitter@bugs.debian.org, 322368-submitter@bugs.debian.org, 285605-submitter@bugs.debian.org, 285628-submitter@bugs.debian.org, 285762-submitter@bugs.debian.org, 289464-submitter@bugs.debian.org, 285889-submitter@bugs.debian.org, 285902-submitter@bugs.debian.org, 285918-submitter@bugs.debian.org, 288966-submitter@bugs.debian.org, 326367-submitter@bugs.debian.org, 346671-submitter@bugs.debian.org, 286309-submitter@bugs.debian.org, 286633-submitter@bugs.debian.org, 286492-submitter@bugs.debian.org, 329499-submitter@bugs.debian.org, 287059-submitter@bugs.debian.org, 287066-submitter@bugs.debian.org, 314008-submitter@bugs.debian.org, 327992-submitter@bugs.debian.org, 287190-submitter@bugs.debian.org, 287628-submitter@bugs.debian.org, 323728-submitter@bugs.debian.org, 287629-submitter@bugs.debian.org, 287639-submitter@bugs.debian.org, 287677-submitter@bugs.debian.org, 206905-submitter@bugs.debian.org, 221950-submitter@bugs.debian.org, 287749-submitter@bugs.debian.org, 296526-submitter@bugs.debian.org, 317259-submitter@bugs.debian.org, 287886-submitter@bugs.debian.org, 336046-submitter@bugs.debian.org, 287891-submitter@bugs.debian.org, 326106-submitter@bugs.debian.org, 275651-submitter@bugs.debian.org, 287923-submitter@bugs.debian.org, 313937-submitter@bugs.debian.org, 324839-submitter@bugs.debian.org, 288158-submitter@bugs.debian.org, 288441-submitter@bugs.debian.org, 336944-submitter@bugs.debian.org, 288536-submitter@bugs.debian.org, 290390-submitter@bugs.debian.org, 295080-submitter@bugs.debian.org, 318375-submitter@bugs.debian.org, 288819-submitter@bugs.debian.org, 288834-submitter@bugs.debian.org, 307036-submitter@bugs.debian.org, 322985-submitter@bugs.debian.org, 322993-submitter@bugs.debian.org, 288925-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 18:22:35 +0100
# Hi,
#
# These bugs were fixed in an NMU, but have not been acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important
# to know which version of a package fixes each bug so that they can be
# tracked for release status, so I'm closing these bugs with the
#relevant version information now

close 271146 2.10c-3.1
close 271221 0.9.14-1.1
close 273411 0.9.14-1.1
close 271673 6:6.0.6.2-1.3
close 271956 1.0-7.1
close 272245 2.04-11.2
close 273043 5.0.13-0.1
close 273338 1.2-4.2
close 273357 0.16.14-1.2
close 271221 0.9.14-1.1
close 273411 0.9.14-1.1
close 273613 1.0.5-1.1
close 273800 1.3-0.1
close 274087 2.1.19-1.2
close 275431 2.1.19-1.2
close 274106 1:19970918-12.2
close 274501 0.99.16-1.1
close 274503 0.99.17-2.1
close 274507 0.4-9.1
close 274955 0.3.35.1
close 275432 1.5.28-6.2
close 276637 2.1.19-1.4
close 276825 3.8.3-4.1
close 276851 0.61-6.1
close 278001 0.99.17-2.2
close 279483 6.1
close 279484 1.1
close 280309 1.5-9.1
close 212905 1.5-9.1
close 235681 1.5-9.1
close 236463 1.5-9.1
close 280337 3.2.0.115-7.1
close 356855 3.2.0.115-7.1
close 281282 0.9.3-2
close 282879 2.04-11.1
close 300174 1.0.0b-4.1
close 283756 0.63-1.2
close 284741 0.1.18-1.2
close 284872 0.70-pre20031121-2.1
close 284925 1.1.2-2.1
close 285058 1.2-7.1
close 347152 0.9.7.1+cvs20050803-1.1
close 285528 2.3.11-1.1
close 322368 2.3.11-1.1
close 285605 2.1.19-1.6
close 285628 0.8.3-1.1
close 285762 0.94-7woody4
close 289464 0.94-7woody4
close 285889 0.98.38-1.1
close 285902 20050625-0.1
close 285918 3.06-9.1
close 288966 3.06-9.1
close 326367 3.06-9.1
close 346671 3.06-9.1
close 286309 1:0.5.0-1.1
close 286633 1:0.5.0-1.1
close 286492 2.5.7-3
close 329499 2.5.7-3
close 287059 2.0.12-1.1
close 287066 2.1.1-3.1
close 314008 2.1.1-3.1
close 327992 2.1.1-3.1
close 287190 1.99.11-1.1
close 287628 0.6-10.1
close 323728 0.6-10.1
close 287629 2.0b3-13.1
close 287639 0.6.2-2.1
close 287677 1.4.8-9.1
close 206905 0.7-7.1
close 221950 0.7-7.1
close 287749 0.7-7.1
close 296526 0.7-7.1
close 317259 0.7-7.1
close 287886 0.4.2+cvs.2004.02.20-1.1
close 336046 0.4.2+cvs.2004.02.20-1.1
close 287891 2.1.8-2.1
close 326106 2.1.8-2.1
close 275651 0.6.0-8.1
close 287923 0.6.0-8.1
close 313937 0.6.0-8.1
close 324839 0.6.0-8.1
close 288158 200300506-1.1
close 288441 1.0.8-1.1
close 336944 1.0.8-1.1
close 288536 0.0.7E6F3-4.1
close 290390 0.0.7E6F3-4.1
close 295080 0.0.7E6F3-4.1
close 318375 0.0.7E6F3-4.1
close 288819 0.1.5.9+cvs.2004.02.07-3.2
close 288834 0.2.1-1.1
close 307036 0.2.1-1.1
close 322985 0.2.1-1.1
close 322993 0.2.1-1.1
close 288925 0.9.5+really0.9.6pre4-1.1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 02:40:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:24:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.